#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "Options"
    BEGIN
	MENUITEM "Choisir base" idMainMenuSelectDB "c"
	MENUITEM "Nouvelle base" idMainMenuNewDB "n"
	MENUITEM "Supprimer base  " idMainMenuDelDB "s"
	MENUITEM "Transfert IR base " idMainMenuBeamDB "t"
	MENUITEM SEPARATOR 
        MENUITEM "Préférences.." idMainMenuCustom "o"
        MENUITEM "A propos.." idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "Nouv." idMainNewButton 2 146 AUTO AUTO
    BUTTON "Trouver" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "Vue"
    BUTTON "Terminé" idViewDoneButton 2 146 AUTO AUTO
    BUTTON "Modifier" idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "Edition"
    BEGIN
        MENUITEM "Annuler" idEditMenuUndo "z"
        MENUITEM "Couper" idEditMenuCut "x"
        MENUITEM "Copier" idEditMenuCopy "c"
        MENUITEM "Coller" idEditMenuPaste "v"
        MENUITEM "Selectionner tout" idEditMenuSelectAll "t"
	MENUITEM SEPARATOR 
        MENUITEM "Clavier" idEditMenuKeyboard "a"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "Modifier"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON "Terminer" idEditDoneButton 2 146 AUTO AUTO
    BUTTON "Supprimer" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Note" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Note"
    BUTTON "Terminer" idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "Préférences"

	LABEL "Base:" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 20
	LABEL "Champ1:" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Champ2:" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Affichage" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "Champ1,Champ2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "Champ1, Champ2" "Champ2, Champ1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "Lecture seulement" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "Sauver à la Hot-Sync suivante" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "Sauvegarde automatique" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "Choisir la base au début" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON "Terminé" idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "Les champs \"Noms\", \"Champ1\" et \"Champ2\" autorisent la "\
	"personnalisation de la base courante.\n\n"\
	"\"Affichage\" permet le choix de l'ordre des champs à l'écran pour la base"\
	" courante.\n\n"\
	"\"Lecture seulement\" interdit de modifier la base courante.\n\n"\
	"\"Sauver à la Hot-Sync suivante\" indique si la base courante sera sauvegardée "\
	"à la prochaine synchronisation.\n\n"\
	"Les deux dernières options s'appliquent à toutes les bases.\n\n"\
	"Si \"Sauvegarde automatique\" est sélectionnée, alors l'indicateur de "\
   	" sauvegarde de la base courante sera positionné automatiquement après "\
	" chaque modification.\n\n"\
	"\"Choisir la base au début\" vous permet de sélectionner la base de votre "\
	"choix dès le démarrage de List si vous avez plus d'une base. Sans celà, "\
	"la dernière base utilisée est rappelée."

FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Choisissez une base"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Choisissez une base"
	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END


FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "Recherche"
	LABEL "Trouver:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Annuler" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "Recherche"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Annuler" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "Suivant" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "A propos de List 0.99"
    MESSAGE "List est un logiciel libre"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"\
	"\n\nLaurent Poujoulat"\
	"\nlpoujoulat@attglobal.net"

    BUTTONS "OK"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "Conflit de nom"
    MESSAGE "Il y a déjà une base avec le nom 'New List'. "\
	    "Renommez la avant d'en créer une nouvelle."
    BUTTONS "OK"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "Effacer un enregistrement"
    MESSAGE "Effacement de l'enregistrement courant ?"
    BUTTONS "OK" "Annuler"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "Effacer une base"
    MESSAGE "Effacement de la base courante ?"
    BUTTONS "OK" "Annuler"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "Remplacer une base"
    MESSAGE "Remplacer la base actuelle par une nouvelle ?"
    BUTTONS "OK" "Annuler"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "Trop de bases"
    MESSAGE "List gère un maximum de 12 bases."
    BUTTONS "OK"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "Conflit de nom"
    MESSAGE "Vous ne pouvez avoir deux bases avec le même nom. Choisissez un autre nom."
    BUTTONS "OK"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "Nom de base vide"
    MESSAGE "Vous ne pouvez pas avoir de base sans nom."
    BUTTONS "OK"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "La base est protègée contre l'écriture"
    MESSAGE "Vous pouvez changer ceci avec le menu \"Préférences\"."
    BUTTONS "OK"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "Manque de mémoire"
    MESSAGE "Impossible de mettre à jour l'enregistrement."
    BUTTONS "OK"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "Transfert IR"
    MESSAGE "Cet appareil n'a pas le port infrarouge requis."
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "Transfert IR impossible"
    MESSAGE "Les bases protégées contre la copie ne peuvent être transférées."
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Erreur inconnue"
	MESSAGE "Un problème imprévu est survenu."
	BUTTONS "Hum ..."
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"Fiche "
STRING idStringOf			" sur "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Non classé"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"Nouvelle base"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Champ1"
STRING idStringField2		"Champ2"
STRING idStringNote			"Note"
